# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: wmbday
Version: 0.3.1
Release: alt3

Summary: This dockapp will remind you of birthdays
Summary(ru_RU.CP1251):        

License: GPL-2
Group: Graphical desktop/Other
Url: http://buzzinhornetz.ath.cx/code/wmbday/
Packager: Slava Semushin <php-coder@altlinux.ru>

Source0: http://buzzinhornetz.ath.cx/code/wmbday/files/%name-%version.tar.gz
Source1: %name.menu

Patch: %name-0.3.1-alt-warnings-x86_64.patch

# Automatically added by buildreq on Wed Jul 26 2006
BuildRequires: libXext-devel libXpm-devel xmessage

Requires: xmessage

%description
wmbday is a Window Maker dockapp for Linux und FreeBSD that will
remind you of birthdays. It can show up to four names of persons whose
birthday is next. On a particular birthday it will notify you by
highlighting the concerning person. The data is loaded either from a
simple text file or from a vCard file.

%description -l ru_RU.CP1251
wmbday    Window Maker  Linux  FreeBSD,  
    .      ,
    .      
   .     
     vCard .

%prep
%setup

# bump program version
sed -i 's|"0.3"|"0.3.1"|' main.h

# fix modifier for size_t type
%patch

%build
./configure
make CFLAGS="%optflags -Werror -U_FORTIFY_SOURCE"

%install
install -pD -m 755 %name %buildroot%_bindir/%name
install -pD -m 644 %name.1 %buildroot%_man1dir/%name.1
install -pD -m 644 %SOURCE1 %buildroot%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc ChangeLog data.sample.simple data.sample.vcard
%_bindir/%name
%_man1dir/%name.1.*
%_menudir/%name

%changelog
* Sun Nov 26 2006 Slava Semushin <php-coder@altlinux.ru> 0.3.1-alt3
- Fixed build by using -U_FORTIFY_SOURCE
- Spec cleanup:
  + Use builtin %%patch instead of external command
  + s/%%setup -q/%%setup/

* Sat Aug 12 2006 Slava Semushin <php-coder@altlinux.ru> 0.3.1-alt2
- Fixed build on x86_64: use %%zu instead of %%d for size_t type

* Wed Jul 26 2006 Slava Semushin <php-coder@altlinux.ru> 0.3.1-alt1
- Initial build for ALT Linux Sisyphus
- Using -Werror flag for compiler by default

